#ifndef APP_LIGHTING_H
#define APP_LIGHTING_H

#include <stdint.h>

int      app_lighting_init(void);
uint16_t app_lighting_get_array_attributes(uint8_t *buffer);
uint16_t app_lighting_get_lamp_attributes(uint8_t *buffer);
void     app_lighting_set_lamp_attributes_req(const uint8_t *buffer);
void     app_lighting_set_lamp_multi_update(const uint8_t *buffer);
void     app_lighting_set_lamp_range_update(const uint8_t *buffer);
void     app_lighting_set_lamp_array_control(const uint8_t *buffer);

#endif  // APP_LIGHTING_H
